namespace efl { namespace event { 
inline ::efl::eolian::return_traits<bool>::type Hold::hold_get() const
{
   Eina_Bool __return_value =  ::efl_event_hold_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Hold::hold_set( ::efl::eolian::in_traits<bool>::type val) const
{
    ::efl_event_hold_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(val));
}
} } 
namespace eo_cxx {
namespace efl { namespace event { 
inline ::efl::eolian::return_traits<bool>::type Hold::hold_get() const
{
   Eina_Bool __return_value =  ::efl_event_hold_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Hold::hold_set( ::efl::eolian::in_traits<bool>::type val) const
{
    ::efl_event_hold_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(val));
}
inline efl::event::Hold::operator ::efl::event::Hold() const { return *static_cast< ::efl::event::Hold const*>(static_cast<void const*>(this)); }
inline efl::event::Hold::operator ::efl::event::Hold&() { return *static_cast< ::efl::event::Hold*>(static_cast<void*>(this)); }
inline efl::event::Hold::operator ::efl::event::Hold const&() const { return *static_cast< ::efl::event::Hold const*>(static_cast<void const*>(this)); }
} } }

